[spambayes-dev] Re: [Python-Dev] 2.3.1 is (almost) a go

"Martin v. Löwis" martin at v.loewis.de
Sun Sep 28 15:18:08 EDT 2003

Gregory P. Smith wrote:
>>I see. I could accept that it is confusing; would it also be backwards
>>compatible (i.e. would BerkeleyDB create those files on demand, and
>>would old Python installation still be able to read the database even
>>if those files where around)?
> It would not.  Its already not backwards compatible.  Thats what the
> bsddb185 module is for.

I should be more specific: If CDB is activated by default in 2.3.1,
would that compatible with files created in 2.3.0 (which are not
1.85 files, but some 4.x files).

>>But is it also easy to detect that multiple applications try to use
>>the same database?
> No.  But it is easy to document.  The old bsddb module never allowed
> it either.

I doubt many users are aware of that restriction (I, myself, wasn't).


More information about the spambayes-dev mailing list